// ===========================================================================
//	AGADemoApp.h		1994-1995 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LApplication.h>
#include <LListener.h>
#include <LView.h>

class	AGADemoApp : public LApplication, public LListener
{
	public:
		AGADemoApp ();						// constructor registers all PPobs
		virtual ~AGADemoApp ();		// stub destructor
	
		// this overriding function performs application functions
		
		virtual Boolean ObeyCommand(CommandT inCommand, void* ioParam);	
	
		// this overriding function returns the status of menu items
		
		virtual void FindCommandStatus (CommandT inCommand,
																		Boolean &outEnabled, Boolean &outUsesMark,
																		Char16 &outMark, Str255 outName);

		virtual void ShowAboutBox();
		
		virtual void ListenToMessage (MessageT inMessage, void *ioParam);
		
	protected:

		virtual void StartUp();		// overriding startup functions
};

class CProgressAnimator : public LView, public LPeriodical
{
	public:
		enum { class_ID = 'xxx1' };
		static CProgressAnimator* CreateProgressAnimatorStream (LStream* inStream);
		
		CProgressAnimator (LStream *inStream);
		
		virtual void SpendTime (const EventRecord &inMacEvent);
	
	protected:
		virtual void FinishCreateSelf ();
};

