// ===========================================================================
//	CAboutBoxDB.cp
// ===========================================================================

#include "CAboutBoxDB.h"

//-------Constructors-------------------------------------------------------------------------------------------------

CAboutBoxDB::CAboutBoxDB (LStream *inStream) : LAGADialogBox(inStream)

{
}

CAboutBoxDB* CAboutBoxDB::CreateAboutBoxDBStream (LStream	*inStream)

{
	return (new CAboutBoxDB(inStream));
}

void CAboutBoxDB::ListenToMessage (MessageT inMessage, void *ioParam)

{
	switch(inMessage)
		{
			case 'ok  '			:
						LAGADialogBox::ListenToMessage(cmd_Close, nil);
						break;
			default					:
						LAGADialogBox::ListenToMessage(inMessage, ioParam);
						break;
		}
}

void CAboutBoxDB::FindCommandStatus (CommandT inCommand, Boolean &outEnabled, Boolean &outUsesMark,
																			Char16 &outMark, Str255 outName)
{
	// Disable all commands.
	outEnabled = false;
}

