// ===========================================================================
//	CAboutBox.h
//	Written by Christophe Causer
//	1996 BlueDays Software.  All Rights Reserved.
//
//	You may use this class in any non-commercial program without
//	permission.  The only restriction is that you must credit the
//	author in your about box.  For commercial use, please contact
//	the author at the email address below.
//					
//	Send bug-reports and comments to bluedays@kagi.com
//
// ===========================================================================


#pragma once

#include	<LWindow.h>

const	CommandT	cmd_EndOfAboutBox = 'EAaB';

class	CAboutBox :	 public LWindow {
	public:
		enum { class_ID = 'ABox' };

		static CAboutBox*		CreateAboutBoxStream(LStream *inStream);

								CAboutBox();						// Default constructor
								~CAboutBox();						// Default destructor

								CAboutBox(LStream *inStream);		// Stream constructor

		virtual	void			FindCommandStatus(	CommandT	inCommand,
													Boolean		&outEnabled,
													Boolean&	outUsesMark,
													Char16&		outMark,
													Str255		outName);

				void			Display();							// Can't be overrided
		virtual void			Click(SMouseDownEvent &inMouseDown);

	protected:
		virtual Boolean			HandleKeyPress(const EventRecord &inKeyEvent);
};