/*
	File:		LPrimaryGroupBox.h

	Contains:	Apple Grayscale Appearance-savvy 
				primary group box pane.

	Copyright:	1996 Chris K. Thomas.  All Rights Reserved.

	Version:	1.0
*/

#include <LGroupBox.h>

class LPrimaryGroupBox:
	public LGroupBox
{

public:
	static LPrimaryGroupBox *CreatePrimaryGroupBoxStream(LStream *inStream);

	LPrimaryGroupBox();
	LPrimaryGroupBox( const LGroupBox &inGroupBox);
	LPrimaryGroupBox( const SPaneInfo &inPaneInfo, Str255 inString, ResIDT inTextTraitsID);
	LPrimaryGroupBox( LStream *inStream);

	virtual void DrawText(const Rect &inRect);

protected:
	virtual void DrawBorder( const Rect &inRect);


};