/*
	File:		LSecondaryGroupBox.h

	Contains:	Apple Grayscale Appearance-savvy 
				secondary group box pane.

	Copyright:	1996 Chris K. Thomas.  All Rights Reserved.

	Version:	1.0
*/

#include <LGroupBox.h>

class LSecondaryGroupBox:
	public LGroupBox
{

public:
	static LSecondaryGroupBox *CreateSecondaryGroupBoxStream(LStream *inStream);
	
	LSecondaryGroupBox();
	LSecondaryGroupBox( const LGroupBox &inGroupBox);
	LSecondaryGroupBox( const SPaneInfo &inPaneInfo, Str255 inString, ResIDT inTextTraitsID);
	LSecondaryGroupBox( LStream *inStream);

	virtual void DrawText(const Rect &inRect);

protected:
	virtual void DrawBorder( const Rect &inRect);


};