// versionProductInfo.h
//   ---------------------
//   1996 Eric Gundrum, All rights reserved.
//   The contents of this file may be freely altered and freely distributed
//   in any form, provided this copyright statement is retained unaltered.
//   Add your own changes below.
//   ---------------------
//
//	This file defines product and file specific version information used by version.r.
//	Consider overriding these definitions in your make file to better automate the 
//	versioning process.


#ifndef __versionProductInfo__h
#define __versionProductInfo__h	1

#define	productFileName			"DMultiStringLocator.68K"	// helpful in file recovery
#define	productName				"DMultiStringLocator"		// collects files of a product
#define	productCopyrightOwner	"Eric Gundrum"				// copyright holder
#define	productReleaseYear		$$format( "%d", $$Year )	// copyright year

// displayed in Finder Balloon help; up to 480 bytes recommended; container limit is 32K
#define	productDescription		"Demonstrates the DMultiStringLocator string search class."	

#define productVersMajor		1			// between 0 and 15
#define productVersMinor		0			// between 0 and 15
#define productVersMaintenance	0			// between 0 and 255
#define productVersReleaseType	final		// choose development, alpha, beta or final
#define productVersNonrelease	1			// between 0 and 255
#define productVersRegion		verUS		// localization code

#define fileVersMajor			1			// between 0 and 15
#define fileVersMinor			0			// between 0 and 15
#define fileVersMaintenance		0			// between 0 and 255
#define fileVersReleaseType		final		// choose development, alpha, beta or final
#define fileVersNonrelease		1			// between 0 and 255
#define fileVersRegion			productVersRegion

#endif __versionProductInfo__h
