/*
	LMouser is  1996 Boxes Objects Links Design Pty Ltd.  All Rights Reserved. 
	You use this software at your own risk, etc. Permission is given to Timothy C.
	Delaney to use LMouser. Permission is given for all others to use LMouser if
	acknowledgement of this copyright is given in publically-released software.
	Acknowledgement should consist of a statement equivalent to "Sections of this
	program are  Boxes Objects Links Design Pty Ltd", visible in an "About..." box
	or splash screen.
																						*/

#ifndef	_H_LMOUSER
#define	_H_LMOUSER

#if !__option(RTTI)
#error LMouser requires RTTI to be enabled
#endif

#include <LPane.h>

class LMouser
{
	public:

							LMouser (void												);
		virtual				~LMouser (void												);

		virtual LMouser *	GetSuperMouser (void										);

		virtual LMouser *	FindDeepSubMouserContaining (Int32	inHorizPort,
														 Int32	inVertPort,
														 LPane	*startPane	= NULL		);

		virtual LMouser *	FindShallowSubMouserContaining (Int32	inHorizPort,
															Int32	inVertPort,
															LPane	*startPane	= NULL	);

		static LPane *		GetLastPane (void											);
		static LPane *		GetCurrentPane (void										);

	protected:

		static LMouser		*sLastMouser;
		static LPane		*sLastPane,
							*sCurrentPane;

		LMouser				*mSuperMouser;

		virtual LPane *		FindVisibleDeepSubPaneContaining (Int32	inHorizPort,
															  Int32	inVertPort,
															  LPane	*startPane	= NULL	);
};

#endif
