// ===========================================================================
//	LSingleLineCaption.cp				   1993-1995 Metrowerks Inc. All rights reserved.
//											1996 Chris K. Thomas.
// ===========================================================================
//
//	LCaption optimized for a single line of text.
//

#pragma once

#include <LCaption.h>


class LSingleLineCaption:
	public LCaption
{
public:
	enum { class_ID = 'Scpt' };
	static LSingleLineCaption*	CreateCaptionStream(
								LStream			*inStream);

						LSingleLineCaption();
						LSingleLineCaption(
								const LSingleLineCaption	&inCaption);
						LSingleLineCaption(
								LStream			*inStream);
	virtual				~LSingleLineCaption();
	
protected:
	
	virtual void		DrawSelf();
};
