// =================================================================================
//	CConsumerThread.h 					1996 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once

#include <LThread.h>

class LSharedQueue;
class LThermometerPane;

class CConsumerThread : public LThread {
public:
						CConsumerThread( LSharedQueue *inQueue,
							LThermometerPane *inProgressPane );
	virtual				~CConsumerThread();

protected:
	LSharedQueue *		mQueue;
	LThermometerPane *		mProgressPane;
	
	virtual void *		Run( void );
};
