// =================================================================================
//	CProducerThread.h 					1996 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once

#include <LThread.h>

class LSharedQueue;
class LThermometerPane;

class CProducerThread : public LThread {
public:
						CProducerThread( LSharedQueue *inQueue,
							LThermometerPane *inProgressPane );
	virtual				~CProducerThread();

protected:
	LSharedQueue *		mQueue;
	LThermometerPane *		mProgressPane;
	
	virtual void *		Run( void );
};
