// =================================================================================
//	CThreadWindow.h 					1996 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once

#include <LWindow.h>

class LSharedQueue;
class LThread;

class CThreadWindow : public LWindow {
public:
	enum { class_ID = 'ThrW' };

	static CThreadWindow *	CreateThreadWindowStream( LStream *inStream );
							CThreadWindow( LStream *inStream );
	virtual					~CThreadWindow();

protected:
	LSharedQueue *			mSharedQueue;
	LThread *				mProducerThread;
	LThread *				mConsumerThread;

	virtual void			FinishCreateSelf();
};
