// ===========================================================================
//		 LPPobView.h				 1995, ric Forget. All rights reserved.
// ===========================================================================
//
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	Instruction and usage notes are in the LPPobView.cp file.
//
// ---------------------------------------------------------------------------


#pragma once



// ---------------------------------------------------------------------------
//		 Classe LPPobView
// ---------------------------------------------------------------------------

class LPPobView : public LView {

public:

	enum { class_ID = 'PPvi' };
	static LPPobView*	CreatePPobViewStream(LStream *inStream);

						LPPobView();
						LPPobView(
								const LPPobView &inOriginal);
						LPPobView(
								const SPaneInfo &inPaneInfo,
								const SViewInfo &inViewInfo,
								const ResIDT	inViewID);
						LPPobView(
								LStream			*inStream);
							
	virtual				~LPPobView();

protected:
	ResIDT				mViewID;
	
private:
	void				InitPPobView(ResIDT	inViewID);
};
