//
//	CSliderDemoWindow.h
//

#pragma once

#include <LWindow.h>
#include <LListener.h>

class CSliderDemoWindow : public LWindow, LListener {
public:
	enum { class_ID = 'Demo' };
	static CSliderDemoWindow*	CreateSliderDemoWindowStream(LStream *inStream);
	static	void	Register(void)
		{ 	URegistrar::RegisterClass(CSliderDemoWindow::class_ID,	
			(ClassCreatorFunc) CSliderDemoWindow::CreateSliderDemoWindowStream);  }
	
			CSliderDemoWindow(LStream *inStream);
	
	virtual void	ListenToMessage(
							MessageT		inMessage,
							void			*ioParam);
	virtual void	DoSliderEnable( Boolean inEnable );
};
