// =================================================================================
//	CVisualSharedQueue.h 				1996 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once

#include <LSharedQueue.h>

class LThermometerPane;

class CVisualSharedQueue : public LSharedQueue {
public:
						CVisualSharedQueue( LThermometerPane *inProgressPane );
	virtual				~CVisualSharedQueue();

	virtual LLink *		Next( Int32 inMilliSeconds = sharedQueue_WaitForever );
	virtual void		NextPut( LLink *inLink );

protected:
	LThermometerPane *		mProgressPane;
};
