#pragma once
/*
	File:		TCodeModule.h
	
	Contains:	CFM-based code resource class
				
	Copyright:	1995-1996 Chris K. Thomas.  All Rights Reserved.
	
	Version:	1.0
*/

#include <CodeFragments.h>

class TCodeModule
{
#if GENERATINGCFM
	CFragConnectionID	mConnector;
#endif
	FSSpec				mSpec;
	Boolean				mGood;		// are we connected?
	Handle				mResource;
	short				mResFileRef;
	
public:
					TCodeModule(FSSpec &inSpec);
	virtual			~TCodeModule();
	
	virtual void	Connect();
	virtual void	Connect(ResType inType, long inID);
	virtual void	Disconnect();
	
	FSSpec &GetFileSpec() {return mSpec;}
	
	// find an exported procedure in a given CFM lib
	virtual ProcPtr	GetMethod(const unsigned char *inMethodName);
};

